<?php
/***************************************************************
 * @name JoomShopping - Mask for images 1.1
 * @package Joomla
 * @package JoomShopping
 * @author Kairlinov Dmitry (StudioDK-WEB, kit2m2)
 * @website http://dk-web.ru/
 * @email kit2m@mail.ru
 * @copyright Copyright by StudioDK-WEB. All rights reserved.
***************************************************************/
	defined('_JEXEC') or die('Restricted access');
	
	jimport('joomla.application.component.controller');
	
	class plgJshoppingProductsMask_Images extends JPlugin
	{
		// 
		function __construct(& $subject, $config){
			parent::__construct($subject, $config);
			// 
			$this->loadLanguage();
			//
			$document = JFactory::getDocument();
			//
		}
		public function onBeforeDisplayCategoryView(&$view){
		// Params settings
		$mask_maincat = (int)$this->params->get('mask_maincat', 0);
		$mask_url_maincat = $this->params->get('mask_url_maincat', '');
		//
		if ($mask_maincat == 1) {
			$document = JFactory::getDocument();
			$document->addStyleDeclaration('img.jshop_img,img.jshop_img_mask_maincat{display:block;} .sblock2.image a{display:inline-block;position:relative;overflow: hidden;} img.jshop_img_mask_maincat{position:absolute; top: 0; left: 0;}');
			$document->addCustomTag("<script type=\"text/javascript\">jQuery(document).ready(function($){ $('img.jshop_img_mask_maincat').prependTo('.sblock2.image a');})</script>");
			//
			$view->_tmp_maincategory_html_start .= '<img class="jshop_img_mask_maincat" src="/'.$mask_url_maincat.'" />';
		}
		}
		//
		public function onBeforeDisplayProductListView(&$view){
		// Params settings
		$mask_cat = (int)$this->params->get('mask_cat', 0);
		$mask_url_cat = $this->params->get('mask_url_cat', '');
		$mask_productlist = (int)$this->params->get('mask_productlist', 0);
		$mask_url_productlist = $this->params->get('mask_url_productlist', '');
		//
		if ($mask_cat == 1) {
			$category_id = JRequest::getInt('category_id');
			$category = JSFactory::getTable('category', 'jshop');
			$category->load($category_id);
			$subcat = count($category->getChildCategories());
			if ( $subcat > 0 ) {
				$document = JFactory::getDocument();
				$document->addStyleDeclaration('img.jshop_img,img.jshop_img_mask_cat{display:block;} .sblock2.image a{display:inline-block;position:relative;overflow: hidden;} img.jshop_img_mask_cat{position:absolute; top: 0; left: 0;}');
				$document->addCustomTag("<script type=\"text/javascript\">jQuery(document).ready(function($){ $('img.jshop_img_mask_cat').prependTo('.sblock2.image a');})</script>");
				//
				$view->_tmp_category_html_start .= '<img class="jshop_img_mask_cat" src="/'.$mask_url_cat.'" />';
			}
		}
		//
		if ($mask_productlist == 1) {
			$document = JFactory::getDocument();
			$document->addStyleDeclaration('img.jshop_img,img.jshop_img_mask_productlist{display:block;} .image_block a{display:inline-block;position:relative;overflow: hidden;} img.jshop_img_mask_productlist{position:absolute; top: 0; left: 0;}');
			$document->addCustomTag("<script type=\"text/javascript\">jQuery(document).ready(function($){ $('img.jshop_img_mask_productlist').prependTo('.image_block a');})</script>");
			//
			$view->_tmp_list_products_html_start .= '<img class="jshop_img_mask_productlist" src="/'.$mask_url_productlist.'" />';
		}
		//
		}
		public function onBeforeDisplayProduct(&$product, &$view, &$product_images, &$product_videos, &$product_demofiles){
		// Params settings
		$mask_product = (int)$this->params->get('mask_product', 0);
		$mask_url_product = $this->params->get('mask_url_product', '');
		$mask_product_related = (int)$this->params->get('mask_product_related', 0);
		$mask_url_product_related = $this->params->get('mask_url_product_related', '');
		//
		if ($mask_product == 1) {
			$document = JFactory::getDocument();
			$document->addStyleDeclaration('.productfull a.lightbox,img[id*="main_image_"],img.jshop_img_mask_product{display:block;} .productfull a.lightbox{position:relative;overflow: hidden;} img.jshop_img_mask_product{position:absolute; top: 0; left: 0;}');
			$document->addCustomTag("<script type=\"text/javascript\">jQuery(document).ready(function($){ $('img.jshop_img_mask_product').prependTo('.productfull a.lightbox');})</script>");
			//
			$view->_tmp_product_html_start .= '<img class="jshop_img_mask_product" src="/'.$mask_url_product.'" />';
		}
		//
		if ($mask_product_related == 1) {
			$productrelated = count($product->product_related);
			if ($productrelated >0) {
				$document = JFactory::getDocument();
				$document->addStyleDeclaration('img.jshop_img,img.jshop_img_mask{display:block;} .list_related .image_block a{display:inline-block;position:relative;overflow: hidden;} img.jshop_img_mask_related{position:absolute; top: 0; left: 0;}');
				$document->addCustomTag("<script type=\"text/javascript\">jQuery(document).ready(function($){ $('img.jshop_img_mask_related').prependTo('.list_related .image_block a');})</script>");
				//
				$view->_tmp_product_html_start .= '<img class="jshop_img_mask_related" src="/'.$mask_url_product_related.'" />';
			}
		}
		//
		}
	}